.TH wxPrinter 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPrinter \- See external documentation: wxPrinter\&.
.SH DESCRIPTION
.LP
See external documentation: wxPrinter <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPrinter()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxPrinter()
.br
.RS
.LP
Equivalent to new([])\&.
.RE
.LP
.B
new(Options::[Option]) -> wxPrinter()
.br
.RS
.TP
Types
Option = {data, wxPrintDialogData() (see module wxPrintDialogData)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprinterwxprinter>\&.
.RE
.LP
.B
createAbortWindow(This::wxPrinter(), Parent::wxWindow() (see module wxWindow), Printout::wxPrintout() (see module wxPrintout)) -> wxWindow() (see module wxWindow)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprintercreateabortwindow>\&.
.RE
.LP
.B
getAbort(This::wxPrinter()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprintergetabort>\&.
.RE
.LP
.B
getLastError() -> WxPrinterError
.br
.RS
.TP
Types
WxPrinterError = integer()
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprintergetlasterror>\&. 
.br
 WxPrinterError is one of ?wxPRINTER_NO_ERROR | ?wxPRINTER_CANCELLED | ?wxPRINTER_ERROR
.RE
.LP
.B
getPrintDialogData(This::wxPrinter()) -> wxPrintDialogData() (see module wxPrintDialogData)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprintergetprintdialogdata>\&.
.RE
.LP
.B
print(This::wxPrinter(), Parent::wxWindow() (see module wxWindow), Printout::wxPrintout() (see module wxPrintout)) -> bool()
.br
.RS
.LP
Equivalent to print(This, Parent, Printout, [])\&.
.RE
.LP
.B
print(This::wxPrinter(), Parent::wxWindow() (see module wxWindow), Printout::wxPrintout() (see module wxPrintout), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {prompt, bool()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprinterprint>\&.
.RE
.LP
.B
printDialog(This::wxPrinter(), Parent::wxWindow() (see module wxWindow)) -> wxDC() (see module wxDC)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprinterprintdialog>\&.
.RE
.LP
.B
reportError(This::wxPrinter(), Parent::wxWindow() (see module wxWindow), Printout::wxPrintout() (see module wxPrintout), Message::string()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprinterreporterror>\&.
.RE
.LP
.B
setup(This::wxPrinter(), Parent::wxWindow() (see module wxWindow)) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprinter\&.html#wxprintersetup>\&.
.RE
.LP
.B
destroy(This::wxPrinter()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
